airflow-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Adam Boscarino <aboscar...@digitalocean.com.INVALID>
Subject Re: Python 3.6 Support for Airflow 1.10.0
Date Tue, 28 Aug 2018 13:29:18 GMT
fwiw, we run Airflow on Python 3.6.

On Tue, Aug 28, 2018 at 8:30 AM Naik Kaxil <k.naik@reply.com> wrote:

> To provide more context to the issue:
>
>
>
> PyPI shows that Airflow is supported on Py2.7, 3.4 and 3.5 :
> https://pypi.org/project/apache-airflow/
>
>
>
> This is picked from setup.py:
>
>
> https://github.com/apache/incubator-airflow/blob/26e0d449737e8671000f671d820a9537f23f345a/setup.py#L367
>
>
>
>
>
> So, should we update setup.py to include 3.6 as well?
>
>
>
> @bolke – Thughts?
>
>
>
>
> Kaxil Naik
>
> Data Reply
> 2nd Floor, Nova South
> 160 Victoria Street, Westminster
> London SW1E 5LB - UK
> phone: +44 (0)20 7730 6000
> k.naik@reply.com
> www.reply.com
>
> [image: Data Reply]
>
> *From: *Naik Kaxil <k.naik@reply.com>
> *Reply-To: *"dev@airflow.incubator.apache.org" <
> dev@airflow.incubator.apache.org>
> *Date: *Tuesday, 28 August 2018 at 13:27
> *To: *"dev@airflow.incubator.apache.org" <dev@airflow.incubator.apache.org
> >
> *Subject: *Python 3.6 Support for Airflow 1.10.0
>
>
>
> Hi all,
>
>
>
> @fokko – I remember that you had test Airflow on 3.6 . Can we include 3.6
> in setup.py then ?
>
>
>
> Regards,
>
> Kaxil
>
>
>
> Kaxil Naik
>
> *Data Reply*
> 2nd Floor, Nova South
> 160 Victoria Street, Westminster
> London SW1E 5LB - UK
> phone: +44 (0)20 7730 6000
> k.naik@reply.com
> www.reply.com
>
> [image: Data Reply]
>
>

-- 
Adam Boscarino
Senior Data Engineer

aboscarino@digitalocean.com
------------------------------
We're Hiring! <https://www.digitalocean.com/company/careers/> |
@digitalocean <https://twitter.com/digitalocean>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message